<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				
				<h2 class="ui">Components</h2>
				<div class="filters-container card mb-4 p-3">
					<h3 class="ui">Filters</h3>
					<h4>Global</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center"><img src="images/filters-collapsed.png" class="img-fluid"></div>
							<div class="example text-center"><img src="images/filters-collapsed-edge.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Filter titles:
margin-bottom: 10px;
border-top: 2px solid Neutral;
padding-top: 2px;
font-family: "PT Sans Narrow", "Helvetica Neue", Helvetica, Arial, sans-serif;
color: TXT - light;
font-size: 15px;
line-height: 22px;
font-weight: bold;

Pinned facets:
Icon after facet name:
material-lens
vertical-align: super;
font-size: 5px;

Filter title badges:
border: 2px solid highlight-2;
padding: 2px 4px;
font-size: 12px;
line-height: 1;
color: TXT-light;
border-radius: 4px;
margin-right: 24px; (24px from the end of the line)
margin-top: 2px;

Filter title open/collapse icon link:
// icon-chevron-down, icon-chevron-up
font-size: 18px;
line-height: 1.5;
top: 0;
right: 0;
color: primary;

Filter boxes:
margin-bottom: 25px;

Filter box content:

</code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-used-0.png" class="img-fluid"></div>
							Collpased used filters
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-used-1o.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">font-size: 12px;
line-height: 16px;
category color: Neutral darken-4;

separator line:
border-bottom: 1px solid Neutral lighten-3;
margin: 4px 0;

icon: icon-cancel
</code></pre>
							Opened used filters
							<ul>
								<li>if we have 1 or more filters selected, then there is the clear all filters option on the bottom</li>
								<li>if we have keyword, it is also highlighted, and is also clearable.</li>
								<li>only the "search term:" text is bold, all the other filter type texts are normal weight</li>
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-used-2o.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">max-height: 250px;
overflow: auto;

filter tags:
background: default - light;
color: primary;
padding: 2px 6px;
border-radius: 3px;</code></pre>
							Opened used filter
							<ul>
								<li>filter types are separated with line</li>
								<li>filter items can be removed one-by-one or the complete type can be removed, also there is a clear all option at the end</li>
							</ul>
						</div>
					</div>
					<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-l.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">color: primary;
padding: 0px 5px 0px 3px;
height: 30px;
width: 100%;
border-bottom: 1px solid Neutral lighten-5;
font-size: 14px;</code></pre>
							simple list
							<ul>
								<li>if the item of the list is longer than the width of the box, it doesn't shows, it ends in ...</li>
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-ln.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">number color: TXT - light;
font-size: 12px;</code></pre>
							simple list with numbers
							<ul>
								<li>the number (n) shows how many results we have under that filter item</li>
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-icon.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">icon color: primary;
icon font-size: 14px;
width: 18px;</code></pre>
							simple list with icons
							<ul>
								<li>font icons before the text</li>
							</ul>
						</div>
					</div>
					<hr>
					<h4>Filter search</h4>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">filter input
margin: 0 0 15px;</code></pre>
							simple list with filter
							<ul>
								<li>simple search input with icon</li>
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-f.png" class="img-fluid"></div>
							filtering
							<ul>
								<li>shows only items containing entered text</li>
							</ul>
						</div>
					</div>
					<hr>
					<h4>Hover and selection</h4>
					<div class="row mt-2">
						
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-h.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">hover
background: default - light;
color: primary;

numbers color:
color: TXT - light</code></pre>
							Hovered items
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-s.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">active-selected
background: default - light;
color: primary;
</code></pre>
							Selected items
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-sh.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">active-selected hover
background: default - dark;
color: primary;
</code></pre>
							Selected + hovered items
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<h4>Scopelist</h4>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-01-hover1.png" class="img-fluid"></div>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-01-hover2.png" class="img-fluid"></div>
						</div>
						<div class="col-md-4">
							<ul>
								<li>the arrow area is separated from the items labels list, it behaves like a separate button</li>
								<li>the arrow area and the list items have separate hover/active states</li>
							</ul>
							<pre><code class="language-html" data-lang="html">border:
1px solid TXT - light

arrow hover:
background: primary;
color: white</code></pre>
						</div>
					</div>
					<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-01.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-02.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-03.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-04.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-05.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-04b.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<h4>Multi level selection</h4>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-01-ml1.png" class="img-fluid"></div>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sl-01-ml2.png" class="img-fluid"></div>
						</div>
						<div class="col-md-4">
							<ul>
								<li>additional icon shows the multi level selection option</li>
								<li>dropdown opens if multi level selection icon is clicked</li>
								<li>links behave like all the other scopelist items (hover, active states)</li>
							</ul>
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<hr>
					<h4>Frequency</h4>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-b.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-a.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-q.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-m.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-w.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-d.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-h.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-mn.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-dd.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<!--<hr>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-dd2.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-freq-dd3.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html"></code></pre>
							
							<ul>
								
							</ul>
						</div>
						<div class="col-md-4">
							
						</div>
					</div>-->
					<hr>
					<h4>Views (code, label, both)</h4>
					<div class="row mt-2">
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb.png" class="img-fluid"></div>
							Label view
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-c.png" class="img-fluid"></div>
							Code view
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
						<div class="col-md-4">
							<div class="example text-center"><img src="images/filters-sb-lc.png" class="img-fluid"></div>
							<pre><code class="language-html" data-lang="html">code
color: Neutral darken-1;
width: 45px;
</code></pre>
							Code and label view
							<ul>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
				</div>
				<hr>
				<div class="card mb-4 p-3">
					<h4>Mobile</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/filters-mobile-c.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Filter button:
button secondary large

Badge:
right: 24px;
vertical-align: middle;
</code></pre>
							Collapse
							<ul>
								<li>Filters are collapsed in mobile view</li>
								<li>it shows with badge how many filters are selected</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/filters-mobile-o.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Modal overlay background:
background-color: rgba(0,0,0,0.4);

Modal box:
background: white;
margin: 10px auto;
padding: 18px;
width: 95%;
position: relative;

Filters text:
font-size: 17px;
color: Muted;
font-family: 'Roboto Slab', serif;
font-weight: 400;

Cancel icon:
position: absolute;
top: 18px;
right: 18px;
font-size: 25px;
color: Muted;

Filter dropdown buttons:
font-size: 15px;
font-family: "PT Sans Narrow", "Helvetica Neue", Helvetica, Arial, sans-serif;
font-weight: bold;
color: TXT - light;
line-height: 40px;
padding: 0 16px;
margin-bottom: 25px;

Apply button:
button primary large
</code></pre>
							<ul>
								<li>Filters open in modal box</li>
								<li>Filter categories are collapsed</li>
								<li>Badges show how many filters are selected</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/filters-mobile-ou.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Used filters:
line-height: 25px;
font-size: 14px;
</code></pre>
							<ul>
								<li>same as in desktop view, only the height of the items changes for touchability</li>
							</ul>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light">
								<img src="images/filters-mobile-osb.png" class="img-fluid">
							</div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Filters list item:
height: 50px;
</code></pre>
							<ul>
								<li>same as in desktop view, only the height of the lines changes for touchability</li>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>
